curl -X DELETE "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
Bibliothèque multimédia
Supprimer un fichier
DELETE /media//
DELETE
/
media
/
{pk}
/
curl -X DELETE "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
Supprime un fichier, sur l’hôte de l’API de gestion (
Un appel réussi renvoie
api.scanova.io), authentifié avec votre clé d’API de gestion brute.
DELETE https://api.scanova.io/media/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
requis
L’
id du fichier.curl -X DELETE "https://api.scanova.io/media/4821/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
204 No Content. 404 si pk ne correspond pas à un fichier appartenant à ce compte.
Pour supprimer plusieurs fichiers par leur chemin de stockage en un seul appel, utilisez plutôt Supprimer des fichiers en masse par chemin.
Voir aussi
- Récupérer un fichier — vérifier avant de supprimer.
- Lister les fichiers téléversés — voir ce qui a été téléversé par ailleurs.
- Présentation de l’API de gestion — le schéma d’authentification et les règles de quota applicables à cet endpoint.
Autorisations
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Paramètres de chemin
Réponse
File deleted.
Cette page vous a-t-elle été utile ?